<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Escrita de texto com Libras - ICan.js</title>

    <link href="static/css/sakura.css" rel="stylesheet">
    <link href="static/css/style.css" rel="stylesheet">
</head>
<body>
    <div align="justify">
        <h2>Escrita de texto com gestos de Libras</h2>
        <p>
            Este é um exemplo que utiliza a biblioteca ICan.js para permitir a tradução de gestos de Libras em textos em campos de páginas web.
        </p>
        <p>
            O ICan.js é uma biblioteca criada como protótipo do Trabalho de Graduação do aluno Felipe Menino orientado pelo Professor Me. Giuliano Araujo Bertoti, esta busca adicionar mais acessibilidade em páginas web através da aplicação de aprendizado profundo. 
        </p>

        <h3>O exemplo</h3>
        <p>
            Este exemplo basicamente capta os gestos do usuário, classifica e então transforma em texto. Na seleção da forma de concatenação existem duas opções, que representam a maneira como a biblioteca traduz os gestos para textos: 

            <ul>
                <li>Exclusiva: Cada um dos <i>frames</i> capturados é convertido imediatamente para um texto;</li>
                <li>Contínua: Um conjunto de <i>frames</i> são capturados e então a média do resultado da classificação deste conjunto é utilizada para definir o gesto que deve ser representado em texto.</li>
            </ul>
        </p>
    </div>

    <h8>Forma de concatenação do texto</h8>
    <select id="select-opt">
        <option>Exclusiva</option>
        <option>Contínua</option>
    </select>

    <table style="width: 100%;">
        <colgroup>
            <col width="50%">
            <col width="50%">
        </colgroup>
        <thead>
            <tr>
                <th align="left">Sua imagem</th>
                <th align="left">Seu texto</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <div id="container">
                            <video autoplay="true" id="videoElementICJS">    
                            </video>
                    </div>
                </td>
                <td><textarea cols="30" id="textarea" placeholder="Seus gestos serão traduzidos aqui" rows="8"></textarea></td>
            </tr>
        </tbody>
    </table>

    <script src="static/js/icjs.js"></script>
    <script src="static/js/index.js"></script>
</body>
</html>
